#Sat May 07 09:12:31 CEST 2016

#which DataProvider should be use to send the Data?
#available Options are:
#   com.dschulz.datagenerator.Providerovider.MongoDataProvider
#   com.dschulz.datagenerator.Providerovider.HttpJsonDataProvider
VISITOR_DATA_PROVIDER=com.dschulz.datagenerator.Visitor.Provider.DummyDataProvider

#should the DataProvider send Data during the Simulation of an User
#or the complete Dataset after the Visitor is back Home
UPDATE_DURING_SIMULATION=false

#should the Simulation wait VISITOR_SLEEPTIME until the next Entry is generated or recall itself
BATCH_PROCESSING=true


#Describes the time a cluster waits until he tries to create new Visitors
#(Visitor Creation is based on Cluster Interest/Size)
SIMULATION_CLUSTER_SLEEPTIME=100.0

#In which radius around Cluster CenterPoint should a new Visitor appear? (in meters)
SIMULATION_CLUSTER_PLACES_DISTANCE=1500.0

#How much interest a Cluster has to generate until a new Visitor appears?
SIMULATION_CLUSTER_INTEREST_THRESHOLD=100.0

#How Much interest has a Place minimum.
MIN_BUILDING_INTEREST=15.0
#How Much interest has a Place maximum.
#(Cluster Interest is the sum of Interest from all Places inside the Cluster)
MAX_BUILDING_INTEREST=30.0

#How many Visitors are allowed to walk around the same time
MAX_VISITORS_SAME_TIME=100
#how many visitors shoud be simulated until Simulation stops
MAX_VISITORS_TOTAL=3000
#how long should a Visitor sleep until he sends Data/does his next Visitor Step (in Milliseconds)
VISITOR_SLEEPTIME=1000

#ONLY FOR TUHttpDataProvider how many Users with an ID under 100 should be generated?
VISITOR_COUNT_UNDER_100=1

#Distance which is taken by a Visitor per Visitorstep in KM
VISITOR_DISTANCE_PER_SIMULATION_STEP=0.001

#how much does the Steplength vary between different Visitors in KM
VISITOR_VARIANCE_PER_SIMULATION_STEP=0.0

#how much does the Steplength of a single Visitor vary in KM
VISITOR_MEAN_VARIANCE_PER_SIMULATION_STEP=0.0

#How much Interest can a Visitor reduce minimum per Visitor Step
MIN_INTEREST_REDUCE_PER_TIME=0.25
#How much Interest can a Visitor reduce maximum per Visitor Step
MAX_INTEREST_REDUCE_PER_TIME=0.25
#How much Interest does a Visitor have minimum on Instantiation
MIN_INTEREST_NEED=160.0
#How much Interest does a Visitor have maximum on Instantiation
MAX_INTEREST_NEED=160.0


TRANSMITTER_STATIONS=false
TRANSMITTER_STEPS_BETWEEN=60
TRANSMITTER_MIN_RADIUS_IN_METER=60
TRANSMITTER_MAX_RADIUS_IN_METER=60
TRANSMITTER_FILL_FACTOR=1
COUNT_POSSIBLE_INTERSECTION_POINTS=10
TRANSMITTER_RECONSTRUCTION_TIMEOUT=100000000
TRANSMITTER_STATION_DISTRIBUTION_STRATEGY=com.dschulz.datagenerator.Visitor.Transmitter.TransmitterDistributionStrategies.CircleDistributionStrategy
TRANSMITTER_POSITION_RECONSTRUCTION_STRATEGY=com.dschulz.datagenerator.Visitor.Transmitter.PositionReconstructionStrategies.DefaultReconstructionStrategy



#MongoSettings - should be self-explanatory
MONGO_DB_NAME=leafletDB
MONGO_COLLECTION_VISITOR=visitors
MONGO_ADDRESS=localhost
MONGO_PORT=27017

#HttpDataProviderSettings
HTTP_PROVIDER_FINALIZE_URL=http://localhost:8888
HTTP_PROVIDER_UPDATE_URL=http://localhost:8888
HTTP_PROVIDER_CREATE_URL=http://localhost:8888
